package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "attending_treatment")
public class AttendingTreatment {
    /**
     * 主键(对应orders表里面的business_id字段)
     */
    @Id
    private Integer id;

    /**
     * 用户id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * patient表用户真实姓名
     */
    @Column(name = "patient_real_name", nullable = false)
    private String patientRealName;

    /**
     * patient表用户手机号码
     */
    @Column(name = "patient_mobile", nullable = false)
    private String patientMobile;

    /**
     * patient表Id
     */
    @Column(name = "patient_id", nullable = false)
    private Integer patientId;

    /**
     * 发起主诊业务的医生id
     */
    @Column(name = "from_doctor_id", nullable = false)
    private Integer fromDoctorId;

    /**
     * 发起主诊业务的医生姓名
     */
    @Column(name = "from_doctor_name", nullable = false)
    private String fromDoctorName;

    /**
     * 接收主诊业务的医生id
     */
    @Column(name = "to_doctor_id", nullable = false)
    private Integer toDoctorId;

    /**
     * 接收主诊业务的医生姓名
     */
    @Column(name = "to_doctor_name", nullable = false)
    private String toDoctorName;

    /**
     * 标题
     */
    @Column(name = "title")
    private String title;

    /**
     * 诊疗费用
     */
    @Column(name = "amount", nullable = false)
    private BigDecimal amount;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "is_deleted", nullable = false)
    private Boolean isDeleted;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 会话Id
     */
    @Column(name = "session_id", nullable = false)
    private String sessionId;

    /**
     * 诊断结果
     */
    @Column(name = "diagnosis", nullable = false)
    private String diagnosis;

    /**
     * 主诊业务状态（位标识：1-拒绝，2-同意，4-已通知用户，8-已支付，16-已评价）
     */
    @Column(name = "attending_status")
    private Integer attendingStatus;

    /**
     * 专家到诊时间
     */
    @Column(name = "attending_date")
    private Date attendingDate;

    /**
     * 专家到诊时段（1-全天，2-上午，3-下午）
     */
    @Column(name = "attending_period")
    private Integer attendingPeriod;

    /**
     * 更新时间
     */
    @Column(name = "update_time", nullable = false)
    private Date updateTime;

    /**
     * patient表用户sex
     */
    @Column(name = "patient_sex")
    private Integer patientSex;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getPatientRealName() {
        return patientRealName;
    }

    public void setPatientRealName(String patientRealName) {
        this.patientRealName = patientRealName;
    }

    public String getPatientMobile() {
        return patientMobile;
    }

    public void setPatientMobile(String patientMobile) {
        this.patientMobile = patientMobile;
    }

    public Integer getPatientId() {
        return patientId;
    }

    public void setPatientId(Integer patientId) {
        this.patientId = patientId;
    }

    public Integer getFromDoctorId() {
        return fromDoctorId;
    }

    public void setFromDoctorId(Integer fromDoctorId) {
        this.fromDoctorId = fromDoctorId;
    }

    public String getFromDoctorName() {
        return fromDoctorName;
    }

    public void setFromDoctorName(String fromDoctorName) {
        this.fromDoctorName = fromDoctorName;
    }

    public Integer getToDoctorId() {
        return toDoctorId;
    }

    public void setToDoctorId(Integer toDoctorId) {
        this.toDoctorId = toDoctorId;
    }

    public String getToDoctorName() {
        return toDoctorName;
    }

    public void setToDoctorName(String toDoctorName) {
        this.toDoctorName = toDoctorName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Boolean getDeleted() {
        return isDeleted;
    }

    public void setDeleted(Boolean deleted) {
        isDeleted = deleted;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public String getDiagnosis() {
        return diagnosis;
    }

    public void setDiagnosis(String diagnosis) {
        this.diagnosis = diagnosis;
    }

    public Integer getAttendingStatus() {
        return attendingStatus;
    }

    public void setAttendingStatus(Integer attendingStatus) {
        this.attendingStatus = attendingStatus;
    }

    public Date getAttendingDate() {
        return attendingDate;
    }

    public void setAttendingDate(Date attendingDate) {
        this.attendingDate = attendingDate;
    }

    public Integer getAttendingPeriod() {
        return attendingPeriod;
    }

    public void setAttendingPeriod(Integer attendingPeriod) {
        this.attendingPeriod = attendingPeriod;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getPatientSex() {
        return patientSex;
    }

    public void setPatientSex(Integer patientSex) {
        this.patientSex = patientSex;
    }
}
